/*
    gutenfetch - a small utility to list and fetch books available through
	project gutenberg

    Copyright (C) 2001 Russell Francis 

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
#ifndef _GUTENFETCH_H_
#define _GUTENFETCH_H_

#include "../config.h"

typedef struct {
	int length;
	char *data;
} ARRAY;

int main(int, char **);
int GenerateNewConfigFile(FILE *);
int ParseConfigFile(FILE *);
int FetchIndex(char **, char *);
int FetchFile(char *, char *, char *);
void CleanUp(int, ...);
void CleanUpArray(int, ...);
int AllocateArray(ARRAY *, int);
int ReallocateArray(ARRAY *, int);
int ReadFile(FILE *, ARRAY *);
int WriteFile(FILE *, ARRAY *);
#ifdef HAVE_MKSTEMP
int WriteFile_fd(int, ARRAY *);
#endif /* HAVE_MKSTEMP */
void PrintUsage(void);
void AssembleCommand(char **, char *, char *, char *); 
int OpenPipe(FILE **, char **, char *);
int ClosePipe(FILE **);
char *getline(char *, FILE *);
#endif /* _GUTENFETCH_H_ */
