/*
    <one line to give the program's name and a brief idea of what it does.>
    Copyright (C) 2001 Russell Francis 

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
#ifndef _SERVER_H_
#define _SERVER_H_

#define CONTINENT_NORTH_AMERICA	0
#define CONTINENT_SOUTH_AMERICA 1
#define CONTINENT_EUROPE	2
#define CONTINENT_AFRICA	3
#define CONTINENT_ASIA		4
#define CONTINENT_AUSTRAILIA	5

typedef struct {
	char *name;
	char *area;
	char *host;
	int continent;
} SERVER;

static SERVER servers[] = {
	{
		"University of North Carolina",
		"Chapel Hill, North Carolina",
		"ftp://ibiblio.org/pub/docs/books/gutenberg/",
		CONTINENT_NORTH_AMERICA
	},
	{
		"Michigan State University",
		"Lansing, Michigan",
		"ftp://indian.cse.msu.edu/pub/mirrors/Gutenberg/",
		CONTINENT_NORTH_AMERICA
	},
	{
		"Walnut Creek CDROM",
		"Silicon Vally, California",
		"ftp://ftp.cdrom.com/pub/gutenberg/",
		CONTINENT_NORTH_AMERICA
	},
	{
		"Prairienet",
		"Champaign, Illinois",
		"ftp://ftp.prairienet.org/pub/providers/gutenberg/",
		CONTINENT_NORTH_AMERICA
	},
	{
		"Sudbury Valley School",
		"Framingham, Massachusetts",
		"ftp://ftp.sudval.org/gutenberg/",
		CONTINENT_NORTH_AMERICA
	},
	{
		"Archive.ORG",
		"San Francisco, California",
		"ftp://ftp.archive.org/pub/etext/",
		CONTINENT_NORTH_AMERICA
	},
	{
		"Lyon College",
		"Batesville, Arkansas",
		"ftp://ftp.compsci.lyon.edu/pub/gutenberg/",
		CONTINENT_NORTH_AMERICA
	},
	{
		"Virginia Polytechnic Institute",
		"Blacksburg, Virginia",
		"http://www2.cddc.vt.edu/gutenberg/",
		CONTINENT_NORTH_AMERICA
	},
	{
		"Open Information Project",
		"Houston, Texas",
		"http://www.outfo.org/literature/pg/",
		CONTINENT_NORTH_AMERICA
	},
	{
		"Config.Com Inc.",
		"Ravenna, Ohio",
		"http://gutenberg.config.com/",
		CONTINENT_NORTH_AMERICA
	},
	{
		"University of Alberta",
		"Edmonton, Alberta",
		"ftp://sunsite.ualberta.ca/pub/Digital_Collections/Mirror/gutenberg/",
		CONTINENT_NORTH_AMERICA
	},
	{
		"Samurai Consulting",
		"Toronto, Ontario",
		"ftp://ftp.samurai.com/pub/gutenberg/",
		CONTINENT_NORTH_AMERICA
	},
	{
		"Telecom Columbia",
		"Bogota, Columbia",
		"ftp://aloportal.com/pub/gutenberg/",
		CONTINENT_SOUTH_AMERICA
	},
	{
		"Informed Technology",
		"Subiaco, Western Austrailia",
		"ftp://ftp.it.net.au/gutenberg/",
		CONTINENT_AUSTRAILIA
	},
	{
		"University of Adelaide",
		"North Terrace, Adelaide",
		"ftp://library.adelaide.edu/etext/pg/",
		CONTINENT_AUSTRAILIA
	},
	{
		"Austrailia Academic Network",
		"Availiable only from Austrailia",
		"ftp://mirror.aarnet.edu.au/pub/gutenberg/",
		CONTINENT_AUSTRAILIA
	},
	{
		"University of Peking",
		"Beijing, China",
		"ftp://elib.phil.pku.edu.cn/pub/gutenberg/",
		CONTINENT_ASIA
	},
	{
		"IndiaOne web hosting",
		"Chandigarh, India",
		"ftp://pg.indiaone.com/",
		CONTINENT_ASIA
	},
	{
		"Biblioteca Nacional Jose Marti",
		"La Habana, Cuba",
		"ftp://zeus.lib.cult.cu/pub/pg/",
		CONTINENT_NORTH_AMERICA
	},
	{
		"Internet Solution",
		"Johannesburg, Gauteng",
		"ftp://ftp.is.co.za/text/project-gutenberg/",
		CONTINENT_AFRICA
	},
	{
		"United Kingdom",
		"Canterbury and Lancaster",
		"ftp://ftp.mirror.ac.uk/sites/metalab.unc.edu/pub/docs/books/gutenberg/",
		CONTINENT_EUROPE
	},
	{
		"Vienna University of Technology",
		"Austria",
		"ftp://pd.tuwien.ac.at/soc/gutenberg/",
		CONTINENT_EUROPE
	},
	{
		"Secondary School Ivan Svear",
		"Croatia",
		"ftp://gutenberg.ssivanic.hr/",
		CONTINENT_EUROPE
	},
	{
		"Max-Planck-Institut fur Informatik",
		"Saarbrucken, Germany",
		"ftp://www.mpi-sb.mpg.de/pub/docs/mirror/ftp.ibiblio.org/pub/docs/books/gutenberg/",
		CONTINENT_EUROPE
	},
	{
		"NIIDP-Hungarian Electronic Library",
		"Budapest, Hungary",
		"ftp://ftp.iif.hu/pub/gutenberg/",
		CONTINENT_EUROPE
	},
	{
		"Via Net Works",
		"Libson, Portugal",
		"http://gutenberg.vianw.pt/",
		CONTINENT_EUROPE
	},
	{
		"University of Murcia",
		"Murcia, Spain",
		"ftp://dafi2.dif.um.es/pub/gutenberg/",
		CONTINENT_EUROPE
	},
	{
		"Swedish University Network",
		"SUNET",
		"ftp://ftp.sunet.se/pub/etext/gutenberg/",
		CONTINENT_EUROPE
	},
	{
		"Ulakbim University Network",
		"Ankara, Turkey",
		"ftp://ftp.ulakbim.gov.tr/pub/gutenberg/",
		CONTINENT_EUROPE
	}
};
#endif // _SERVER_H_
